Bug 234428 - audio/ogg2mp3: Resurrect port
Summary: audio/ogg2mp3: Resurrect port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-26 22:01 UTC by tobias.rehbein
Modified: 2019-05-13 01:34 UTC (History)
2 users (show)

See Also:
tobias.rehbein: maintainer-feedback+


Attachments
shar for audio/ogg2mp3 (2.85 KB, text/plain)
2018-12-26 22:01 UTC, tobias.rehbein
no flags Details
updated shar for audio/ogg2mp3 (2.84 KB, text/plain)
2018-12-26 22:06 UTC, tobias.rehbein
no flags Details
Diff to the original audio/ogg2mp3 port, svn copied (3.68 KB, patch)
2018-12-30 14:14 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2018-12-26 22:01:07 UTC
Created attachment 200543 [details]
shar for audio/ogg2mp3

Somehow I missed that audio/ogg2mp3 expired on 2018-06-06 after being marked as BROKEN for 6 months (No public distfiles). I just noticed the expiration of the port when I wanted to install it on a new system.

The shar attached to this PR is basically the original port with a few adjustments:

- USE_GITHUB to fetch the distfile
- set NO_ARCH=yes

I run `portlint -a` and `poudriere testport` without any issued.
Comment 1 tobias.rehbein 2018-12-26 22:06:01 UTC
Created attachment 200544 [details]
updated shar for audio/ogg2mp3
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-30 07:47:35 UTC
Thank you Tobias.

If you could replace the shar with a unified diff after svn copy'ing from the last port revision (before deletion) and then making your changes, it will make the change proposal easier to review. Please include removal of the ports MOVED entry in the diff as well.
Comment 3 tobias.rehbein 2018-12-30 14:14:01 UTC
Created attachment 200621 [details]
Diff to the original audio/ogg2mp3 port, svn copied
Comment 4 tobias.rehbein 2018-12-30 14:21:17 UTC
Hi, I hope I did it right.

I did a `svn copy https://svn.FreeBSD.org/ports/head/audio/ogg2mp3@469100 audio/ogg2mp3` to resurrect the original audio/ogg2mp3 port. Then I applied my patches and created a diff. If you need something different, please let me know.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-31 05:11:24 UTC
(In reply to tobias.rehbein from comment #4)

Looks good Tobias, thank you
Comment 6 commit-hook freebsd_committer 2019-05-13 01:34:18 UTC
A commit references this bug:

Author: yuri
Date: Mon May 13 01:34:03 UTC 2019
New revision: 501511
URL: https://svnweb.freebsd.org/changeset/ports/501511

Log:
  Re-add audio/ogg2mp3: It was unfetchable because it moved to github

  PR:		234428
  Submitted by:	tobias.rehbein@web.de (maintainer)

Changes:
  head/MOVED
  head/audio/Makefile
  head/audio/ogg2mp3/
  head/audio/ogg2mp3/Makefile
  head/audio/ogg2mp3/distinfo
  head/audio/ogg2mp3/files/patch-ogg2mp3
  head/audio/ogg2mp3/pkg-descr
Comment 7 Yuri Victorovich freebsd_committer 2019-05-13 01:34:49 UTC
Committed with small changes.
Thanks!